Skip to main content

Download Report

Once a background verification transaction reaches the COMPLETED state, the final report can be downloaded as a PDF. Use the Transaction Info API to check the transaction state before attempting to download.

API Endpoint

Endpoint URL: GET https://api.trential.dev/verification/api/1.0/transactions/download-report

Try it out →

Query Parameters

ParameterTypeRequiredDescription
txnIdstringYesThe transaction ID returned when creating a candidate profile
reportTypestringYesType of report to download. Accepted values: Complete, ARTIFACT, SUMMARY, SELF-VERIFY
documentBrandingRequiredbooleanNoWhether to include document branding in the report

Request Example

curl -L -X GET 'https://api.trential.dev/verification/api/1.0/transactions/download-report?txnId=6a3284d901b19c3a8a619786&reportType=Complete' \
-H 'x-api-key: API_KEY_VALUE' \
--output report.pdf

Response

Returns the report as a PDF file (application/pdf).